Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Map_Manager_Reverse_Iterator_Adapter< T, KEY, VALUE > Class Template Reference

Defines a reverse iterator implementation for the Map Manager. More...

`#include <Map_T.h>`

Inheritance diagram for ACE_Map_Manager_Reverse_Iterator_Adapter< T, KEY, VALUE >:

[legend]
Collaboration diagram for ACE_Map_Manager_Reverse_Iterator_Adapter< T, KEY, VALUE >:

[legend]
List of all members.

## Public Types

typedef ACE_TYPENAME ACE_Map_Manager< KEY, VALUE, ACE_Null_Mutex >::reverse_iterator | implementation

## Public Methods

| ACE_Map_Manager_Reverse_Iterator_Adapter (const ACE_Map_Reverse_Iterator< KEY, VALUE, ACE_Null_Mutex > &impl)
| Constructor.
virtual | ~ACE_Map_Manager_Reverse_Iterator_Adapter (void)
| Destructor.
virtual ACE_Reverse_Iterator_Impl< T > * | clone (void) const
| Clone.
virtual int | compare (const ACE_Reverse_Iterator_Impl< T > &rhs) const
| Comparison.
virtual T | dereference (void) const
| Dereference.
virtual void | plus_plus (void)
| Advance.
virtual void | minus_minus (void)
| Reverse.
ACE_Map_Reverse_Iterator< KEY, VALUE, ACE_Null_Mutex > & | impl (void)
| Accessor to implementation object.

## Protected Attributes

ACE_Map_Reverse_Iterator< KEY, VALUE, ACE_Null_Mutex > | implementation_
| All implementation details are forwarded to this class.

## Detailed Description

### template<class T, class KEY, class VALUE>
class ACE_Map_Manager_Reverse_Iterator_Adapter< T, KEY, VALUE >

Defines a reverse iterator implementation for the Map Manager.

Implementation to be provided by ACE_Map_Manager::reverse_iterator.

## Member Typedef Documentation

template<class T, class KEY, class VALUE>
typedef ACE_TYPENAME ACE_Map_Manager<KEY, VALUE, ACE_Null_Mutex>::reverse_iterator ACE_Map_Manager_Reverse_Iterator_Adapter< T, KEY, VALUE >::implementation

## Constructor & Destructor Documentation

template<class T, class KEY, class VALUE>
ACE_INLINE ACE_Map_Manager_Reverse_Iterator_Adapter< T, KEY, VALUE >::ACE_Map_Manager_Reverse_Iterator_Adapter | ( | const ACE_Map_Reverse_Iterator< KEY, VALUE, ACE_Null_Mutex > & | impl | ) |

| Constructor.

template<class T, class KEY, class VALUE>
ACE_INLINE ACE_Map_Manager_Reverse_Iterator_Adapter< T, KEY, VALUE >::~ACE_Map_Manager_Reverse_Iterator_Adapter | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

template<class T, class KEY, class VALUE>
ACE_INLINE ACE_Reverse_Iterator_Impl< T > * ACE_Map_Manager_Reverse_Iterator_Adapter< T, KEY, VALUE >::clone | ( | void |  | ) | const`[virtual]`

| Clone. Implements ACE_Reverse_Iterator_Impl< T >.

template<class T, class KEY, class VALUE>
ACE_INLINE int ACE_Map_Manager_Reverse_Iterator_Adapter< T, KEY, VALUE >::compare | ( | const ACE_Reverse_Iterator_Impl< T > & | rhs | ) | const`[virtual]`

| Comparison. Implements ACE_Reverse_Iterator_Impl< T >.

template<class T, class KEY, class VALUE>
ACE_INLINE T ACE_Map_Manager_Reverse_Iterator_Adapter< T, KEY, VALUE >::dereference | ( | void |  | ) | const`[virtual]`

| Dereference. Implements ACE_Reverse_Iterator_Impl< T >.

template<class T, class KEY, class VALUE>
ACE_INLINE ACE_Map_Reverse_Iterator< KEY, VALUE, ACE_Null_Mutex > & ACE_Map_Manager_Reverse_Iterator_Adapter< T, KEY, VALUE >::impl | ( | void |  | ) |

| Accessor to implementation object.

template<class T, class KEY, class VALUE>
ACE_INLINE void ACE_Map_Manager_Reverse_Iterator_Adapter< T, KEY, VALUE >::minus_minus | ( | void |  | ) | `[virtual]`

| Reverse. Implements ACE_Reverse_Iterator_Impl< T >.

template<class T, class KEY, class VALUE>
ACE_INLINE void ACE_Map_Manager_Reverse_Iterator_Adapter< T, KEY, VALUE >::plus_plus | ( | void |  | ) | `[virtual]`

| Advance. Implements ACE_Reverse_Iterator_Impl< T >.

## Member Data Documentation

template<class T, class KEY, class VALUE>
ACE_Map_Reverse_Iterator<KEY, VALUE, ACE_Null_Mutex> ACE_Map_Manager_Reverse_Iterator_Adapter< T, KEY, VALUE >::implementation_`[protected]`

| All implementation details are forwarded to this class.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Map_T.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Map_T.i